USE 36
JOIN 37 TO 36 INTO TIPOQUA=TIPOQUA CODDITTA=CODDITTA
JOIN  9 TO 36 INTO CODDITTA=CODDITTA
JOIN  6 TO  9 ALIAS 116 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO  6 ALIAS 118 INTO CODANAGR=CODANAGR
JOIN 13 TO  8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO  6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN  6 TO 36 ALIAS 216 INTO CODANAGR=RAPPR
JOIN 13 TO 216@ ALIAS 313 INTO COM=COMNASC
JOIN 13 TO 216@ ALIAS 413 INTO COM=COMRF(COMRES)
END

DESCRIPTION
BEGIN
  36->* "Base 770"
  37->* "Basebis 770"
  9->* "Ditte"
  6->* "LF_ANAG Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  116@->* "Comuni"
  118@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier 17cpi"
  SIZE 10
  CA "X"           
  IN 3 2
  FI 131
END

SECTION BODY FIRST 73

LISTA 1
BEGIN
 KEY "Tipo anagrafica: ABILITA PERSONE FISICHE/ALTRI SOGGETTI"
 FIELD 9->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
 FLAGS "H"
END

STRINGA 2
BEGIN
  KEY "GRUPPO 1 - PERSONE FISICHE - CODICE FISCALE"
  PROMPT 22 13  ""
  FIELD 116@->COFI
  GROUP 1
END

LISTA 3
BEGIN
  KEY "REG.A.STATUTO.SPECIALE VA - SA -SI"
  PROMPT 90 13 ""
  ITEM "1|X"
  ITEM "2|"
  ITEM "3|"
  FIELD 36->RSS
  GROUP 1
END      

LISTA 4
BEGIN
  KEY "REG.A.STATUTO.SPECIALE VA - SA -SI"
  PROMPT 98 13 ""
  ITEM "1|"
  ITEM "2|X"
  ITEM "3|"
  FIELD 36->RSS
  GROUP 1
END

LISTA 5
BEGIN
  KEY "REG.A.STATUTO.SPECIALE VA - SA -SI"
  PROMPT 107 13 ""
  ITEM "1|"
  ITEM "2|"
  ITEM "3|X"
  FIELD 36->RSS
  GROUP 1
END

STRINGA 6
BEGIN
  KEY "CODICE ATTIVITA"
  PROMPT 119 13 ""
  FIELD 9->CODATTPREV
  GROUP 1
END

STRINGA 7
BEGIN
  KEY "COGNOME"
  PROMPT 22 15 ""
  FIELD 116@->RAGSOC[1,30]
  GROUP 1
END  

STRINGA 8
BEGIN
  KEY "NOME"
  PROMPT 80 15 ""
  FIELD 116@->RAGSOC[31,50]
  GROUP 1
END  

LISTA 9
BEGIN
  KEY "SESSO M"
  PROMPT 119 15 ""
  ITEM "M|X"
  ITEM "F|"
  FIELD 118@->SESSO
  GROUP 1
END  

LISTA 10
BEGIN
  KEY "SESSO F"
  PROMPT 127 15 ""
  ITEM "M|"
  ITEM "F|X"
  FIELD 118@->SESSO
  GROUP 1
END  
  
STRINGA 11
BEGIN
  KEY "DATA DI NASCITA"
  PROMPT 22 17 ""
  FIELD 118@->DATANASC
  FORMAT "1444-"    
  PICTURE "## ^ ##^^^^^"
  GROUP 1
END  
  
STRINGA 12
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 44 17 ""
  FIELD 113@->DENCOM
  GROUP 1
END  
  
STRINGA 13
BEGIN
  KEY "PROV. DI NASCITA"
  PROMPT 100 17 ""
  FIELD 113@->PROVCOM
  GROUP 1
END  

STRINGA 14
BEGIN
  KEY "EVENTI ECCEZIONALI"
  PROMPT 127 17 ""
  FIELD 116@->EVECC
  GROUP 1
END
  
STRINGA 15
BEGIN
  KEY "COMUNE DI RES.FISCALE"
  PROMPT 41 19 ""
  FIELD 213@->DENCOM
  GROUP 1  
END  
  
STRINGA 16
BEGIN
  KEY "PROV DI RES.FISCALE"
  PROMPT 100 19 ""
  FIELD 213@->PROVCOM
  GROUP 1  
END  

STRINGA 17
BEGIN
  KEY "CAP"
  PROMPT 119 19 ""
  FIELD 116@->CAPRF
  FIELD 116@->CAPRES
  GROUP 1  
END  
  
STRINGA 18
BEGIN
  KEY "VIA di RES."
  PROMPT 41 21  ""
  FIELD 116@->INDRF
  FIELD 116@->INDRES
  GROUP 1  
END  
  
STRINGA 19
BEGIN
  KEY "NUM. CIVICO di RES."
  PROMPT 102 13 ""
  FIELD 116@->CIVRF
  FIELD 116@->CIVRES
  FLAGS "H"
  GROUP 1  
END  
  
STRINGA 20
BEGIN
  KEY "TELEFONO - PREFISSO"
  PROMPT 100 21 ""
  FIELD 116@->PTELRF
END
  
STRINGA 21
BEGIN
  KEY "TELEFONO - NUMERO"  
  PROMPT 112 21 ""
  FIELD 116@->TELRF   
END

STRINGA 22 
BEGIN
  KEY "GRUPPO 2 - ALTRI SOGGETTI - CODICE FISCALE"
  PROMPT 22 23  ""
  FIELD 116@->COFI
  GROUP 2
END

LISTA 23
BEGIN
  KEY "REG.A.STATUTO.SPECIALE VA - SA -SI"
  PROMPT 90 23 ""
  ITEM "1|X"
  ITEM "2|"
  ITEM "3|"
  FIELD 36->RSS
  GROUP 2
END      

LISTA 24
BEGIN
  KEY "REG.A.STATUTO.SPECIALE VA - SA -SI"
  PROMPT 98 23 ""
  ITEM "1|"
  ITEM "2|X"
  ITEM "3|"
  FIELD 36->RSS
  GROUP 2
END

LISTA 25
BEGIN
  KEY "REG.A.STATUTO.SPECIALE VA - SA -SI"
  PROMPT 107 23 ""
  ITEM "1|"
  ITEM "2|"
  ITEM "3|X"
  FIELD 36->RSS
  GROUP 2
END

STRINGA 26
BEGIN
  KEY "CODICE ATTIVITA"
  PROMPT 119 23 ""
  FIELD 9->CODATTPREV
  GROUP 2
END

STRINGA 27
BEGIN
  KEY "RAGIONE SOCIALE"
  PROMPT 22 25  ""
  FIELD 116@->RAGSOC
  GROUP 2
END

STRINGA 28
BEGIN
  KEY "EVENTI ECCEZIONALI"
  PROMPT 127 25 ""
  FIELD 116@->EVECC
  GROUP 2
END

STRINGA 29
BEGIN
  KEY "FLAG SEDE LEGALE"
  GROUP 2
END

STRING 30
BEGIN
  KEY "COMUNE SEDE LEGALE "
  PROMPT 39 27 ""
  FIELD 413@->DENCOM
  GROUP 2
END

STRING 31
BEGIN
  KEY "PROV. SEDE LEGALE"
  PROMPT 119 27 ""
  FIELD 413@->PROVCOM
  GROUP 2
END

STRING 32
BEGIN
  KEY "VIA SEDE LEGALE"
  PROMPT 39 27 ""
  FIELD 216@->INDRES[1,18]
  FLAGS "H"
  MESSAGE COPY,12|COPY,107
END

STRING 33
BEGIN
  KEY "NUM.CIV"
  PROMPT 93 4 ""
  FLAGS "H"
  FIELD 216@->CIVRES
  MESSAGE APPEND,12|APPEND,107
END

STRING 34
BEGIN
  KEY "VIA SEDE LEGALE"
  PROMPT 39 27 ""
  GROUP 2
END

STRINGA 35
BEGIN
  KEY "CAP"
  PROMPT 119 27 ""
  FIELD 116@->CAPRF 
  FIELD 116@->CAPRES  
  GROUP 2  
END  
  
STRING 36
BEGIN
  KEY "COMUNE DI RESIDENZA FISCALE"
  PROMPT 39 29 ""
  FIELD 413@->DENCOM
  GROUP 2
END

STRING 37
BEGIN
  KEY "PROV. RESIDENZA FISCALE"
  PROMPT 119 29 ""
  FIELD 413@->PROVCOM
  GROUP 2
END

STRING 38
BEGIN
  KEY "VIA RESIDENZA FISCALE"
  PROMPT 39 29 ""
  FIELD 216@->INDRES[1,18]
  FLAGS "H"
  MESSAGE COPY,12|COPY,107
END

STRING 39
BEGIN
  KEY "NUM.CIV"
  PROMPT 93 4 ""
  FLAGS "H"
  FIELD 216@->CIVRES
  MESSAGE APPEND,12|APPEND,107
END

STRING 40
BEGIN
  KEY "VIA RES FISCALE"
  PROMPT 39 29 ""
  GROUP 2
END

STRINGA 41
BEGIN
  KEY "CAP"
  PROMPT 119 29 ""
  FIELD 116@->CAPRF
  GROUP 2
END  

STRINGA 42
BEGIN
  KEY "DATA APP.BILANCIO gg-mm-aaa"
  PROMPT 29 31 ""
  FORMAT "1444-"    
  PICTURE "## ^ ##^^^^^"
  GROUP 2
END

STRINGA 43
BEGIN
  KEY "Termine per APP.BILANCIO gg-mm-aaa"
  PROMPT 88 31 ""
  FORMAT "1444-"    
  PICTURE "## ^ ##^^^^^"
  GROUP 2
END

STRINGA 48
BEGIN    
  KEY "STATO"
  PROMPT 29 33 ""
  FIELD 118@->STATOSOC
  GROUP 2
END

STRINGA 49
BEGIN    
  KEY "NAT.GIURIDICA"
  PROMPT 49 33 ""
  FIELD 118@->NATGIU
  GROUP 2
END

STRINGA 50
BEGIN    
  KEY "SITUAZIONE"
  PROMPT 73 33 ""     
  FIELD 118@->SITSOC  
  GROUP 2
END

STRINGA 51
BEGIN
  KEY "TELEFONO - PREF"
  PROMPT 99 33 ""
  GROUP 2
END

STRINGA 52
BEGIN
  KEY "TELEFONO - NUMERO"
  PROMPT 110 33 ""
  GROUP 2
END

NUMBER 53
BEGIN
  KEY "NUMERO ESTINTI"
  PROMPT 66 35 ""
END

STRINGA 54
BEGIN
  KEY "Dati RAPP. - COFI"
  PROMPT 22 37 ""  
  FIELD 216@->COFI
END

LISTA 55
BEGIN
  KEY "CODICE CARICA 1"
  PROMPT 85 37 ""
  ITEM "1|X"
  ITEM "2|"
  ITEM "3|"
  ITEM "4|"
  ITEM "5|"
  ITEM "6|"
  FIELD 36->CARRAPP
END
LISTA 56
BEGIN
  KEY "CODICE CARICA 2"
  PROMPT 94 37 ""
  ITEM "1|"
  ITEM "2|X"
  ITEM "3|"
  ITEM "4|"
  ITEM "5|"
  ITEM "6|"
  FIELD 36->CARRAPP
END
LISTA 57
BEGIN
  KEY "CODICE CARICA 3"
  PROMPT 102 37 ""
  ITEM "1|"
  ITEM "2|"
  ITEM "3|X"
  ITEM "4|"
  ITEM "5|"
  ITEM "6|"
  FIELD 36->CARRAPP
END
LISTA 58
BEGIN
  KEY "CODICE CARICA 4"
  PROMPT 110 37 ""
  ITEM "1|"
  ITEM "2|"
  ITEM "3|"
  ITEM "4|X"
  ITEM "5|"
  ITEM "6|"
  FIELD 36->CARRAPP
END
LISTA 59
BEGIN
  KEY "CODICE CARICA 5"
  PROMPT 119 37 ""
  ITEM "1|"
  ITEM "2|"
  ITEM "3|"
  ITEM "4|"
  ITEM "5|X"
  ITEM "6|"
  FIELD 36->CARRAPP
END
LISTA 60
BEGIN
  KEY "CODICE CARICA 6"
  PROMPT 127 37 ""
  ITEM "1|"
  ITEM "2|"
  ITEM "3|"
  ITEM "4|"
  ITEM "5|"
  ITEM "6|X"
  FIELD 36->CARRAPP
END

STRINGA 61
BEGIN
  KEY "RAPP.COGNOME"
  PROMPT 22 39 ""
  FIELD 216@->RAGSOC[1,30]
END

STRINGA 62
BEGIN
  KEY "RAPP.NOME"
  PROMPT 80 39 ""         
  FIELD 216@->RAGSOC[31,50]  
END              

LISTA 63
BEGIN
  KEY "RAPP.SESSO"
  PROMPT 119 39 ""
  ITEM "M|X"
  ITEM "F|"
  ITEM "|"
  FIELD 216@->SESSO
END

LISTA 64
BEGIN
  KEY "RAPP.SESSO"
  PROMPT 127 39 ""
  ITEM "M|"
  ITEM "F|X"
  ITEM "|"         
  FIELD 216@->SESSO  
END

STRINGA 65
BEGIN
  KEY "RAPP.DATANAGG"
  PROMPT 22 41 ""
  FORMAT "1444-"    
  PICTURE "## ^ ##^^^^^"
  FIELD 216@->DATANASC  
END

STRINGA 68
BEGIN
  KEY "COMUNE NA"
  PROMPT 46 41 ""
  FIELD 313@->DENCOM
END              

STRINGA 69
BEGIN
  KEY "PROV NA"
  PROMPT 119 41 ""  
  FIELD 313@->PROVCOM  
END
  
STRINGA 70
BEGIN
  KEY "COMUNE RES"
  PROMPT 41 43 "" 
  FIELD 413@->DENCOM  
END

STRINGA 71
BEGIN
  KEY "PROV RES"
  PROMPT 99 43 ""
  FIELD 413@->PROVCOM  
END       

STRINGA 72
BEGIN
  KEY "CAP RES"  
  PROMPT 119 43 ""  
  FIELD 413@->CAPRF  
  FIELD 413@->CAPRES
END       

STRINGA 73
BEGIN
  KEY "IND RES"   
  PROMPT 41 45 ""  
  FIELD 413@->INDRF   
  FIELD 413@->INDRES
END

STRINGA 74
BEGIN
 KEY "TELEFONO PREFISSO"
 PROMPT 99 45 ""  
 FIELD 216@->PTELRF
END

STRINGA 75
BEGIN
 KEY "TELEFONO NUMERO"
 PROMPT 111 45 ""
 FIELD 216@->TELRF   
END

END

